review output for show tech-support command
Closed, ResolvedPublic

Description

We need to review output of

show tech-support

remove some redundant info and add some missing information

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
This request is:
Service Request
syncer created this task.Jul 2 2017, 11:31 AM
syncer created this object with edit policy "Custom Policy".
syncer moved this task from 1.1.8 to Need Triage on the VyOS 1.1.x board.Jul 30 2017, 3:33 AM
syncer edited projects, added VyOS 1.1.x; removed VyOS 1.1.x (1.1.8).
syncer moved this task from Need Triage to Backlog on the VyOS 1.1.x board.Aug 5 2017, 10:51 PM
syncer added a subscriber: bcs.Aug 24 2017, 10:41 PM

We need to change default behaviour and enable strip-private by default
add key not-strip-private for cases when complete dump required

@bcs pointed to problem in T363

bcs awarded a token.Aug 24 2017, 10:43 PM

@EwaldvanGeffen pointed another issue in T329
.bash_history content also must be processed (private info must be stripped) before it included

syncer added a subscriber: c-po.Aug 29 2017, 11:14 AM

@c-po do you want to pick up this?
Basically we need to filter out private info by default
currently it possible to do via

show tech-support save /tmp | strip-private

but strip-private should be default behaviour

c-po added a comment.EditedAug 29 2017, 11:19 AM

I'll start an investigation after T345.

c-po added a comment.Aug 31 2017, 3:43 PM

strip-private is a bash-pipe function (/etc/bash_completion.d/vyatta-op).

@syncer:How do you expect a user will execute the show tech-support command with all private data present? Or should there be no possibility to print our sensible information at all?

maybe we can use something like | not-strip-private
for cases when dump should contain all info

by default output should strip all that info

c-po added a comment.Sep 4 2017, 7:04 PM

@syncer: Thinking about it I have a different proposal:

Using "show tech-support" cmd will produce the tech-support output without any private information as you have suggested

cpo@CR1:~$ show tech-support
Possible completions:
  <Enter>       Execute the current command
  brief         Show brief tech-support report
  save          Save consolidated tech-support report
  save-uncompressed
                Save consolidated tech-support report uncompressed

Using "show tech-support private" cmd will produce the tech-support output with private information included.
This will be a new node "private" unter "show tech-support" which will act like the current implementation with all private information included.

cpo@CR1:~$ show tech-support private
Possible completions:
  <Enter>       Execute the current command
  brief         Show brief tech-support report
  save          Save consolidated tech-support report
  save-uncompressed
                Save consolidated tech-support report uncompressed

In addition to the removal of repositories in T7, is it required to print the installed dpkg versions? This could be removed, too

syncer moved this task from Need Triage to Backlog on the VyOS 1.2.x board.
syncer assigned this task to c-po.

@c-po i will agree with your approach
i will ask to keep package versions output

Do we leave this for 1.2 or we want to include this with 1.1.8 ?
@c-po @dmbaturin

c-po added a comment.Mon, Oct 23, 5:14 PM

Vote for 1.2.x only.

syncer moved this task from Backlog to Finished on the VyOS 1.2.x board.Wed, Nov 1, 1:24 PM
syncer closed this task as Resolved.

Thanks @c-po !